patch
https://identity-api.optimizely.com/api/scim/v2/groups/
SCIM endpoint for modifying a group by its ID.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
The patch group endpoint selectively modifies the attributes of the group indicated by the ID parameter. You can add or remove the value for the following attribute:
members– The users inside the group.
SCIM RFC compliance
This endpoint fully complies with the SCIM RFC as it relates to the supported schema.
API payload
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
],
"Operations": \[
{
"name": "addMember",
"op": "add",
"path": "members",
"value": [
{
"displayName":"new user",
"value":"{USER-ID}"
}
]
},
{
"op": "remove",
"path": "members[value eq \"{USER-ID}\"]"
}
]
}Other flavors of the payload are supported as well. For example, a replace operation without a path where the value implies the attribute path and its value.
Error conditions
- 404 (Not Found) – A group with the specified ID is not found.
- 400 (Bad Request) – The patch operation syntax is invalid, or Opti ID does not support the patch operation.
401Unauthorized access to endpoint.
